aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-02-04 12:52:17 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-02-04 12:52:30 +0000
commitca5eff34003bec5c202882f0ad8549f412defdc2 (patch)
tree45dffa7310754cf9dd35daf45d58ea4c295130ac
parentc29a5c5e420f55c7fd0777579a724570fe833ec9 (diff)
downloadaports-ca5eff34003bec5c202882f0ad8549f412defdc2.tar.gz
aports-ca5eff34003bec5c202882f0ad8549f412defdc2.tar.bz2
aports-ca5eff34003bec5c202882f0ad8549f412defdc2.tar.xz
testing/spice-gtk: upgrade to 0.16
-rw-r--r--testing/spice-gtk/APKBUILD13
-rw-r--r--testing/spice-gtk/usbredir.patch52
2 files changed, 7 insertions, 58 deletions
diff --git a/testing/spice-gtk/APKBUILD b/testing/spice-gtk/APKBUILD
index 123129c439..585f16ef37 100644
--- a/testing/spice-gtk/APKBUILD
+++ b/testing/spice-gtk/APKBUILD
@@ -1,8 +1,8 @@
# Contributor: Natanael Copa <ncopa@alpinelinux.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=spice-gtk
-pkgver=0.14
-pkgrel=1
+pkgver=0.16
+pkgrel=0
pkgdesc="A GTK+ widget for SPICE clients"
url="http://spice-space.org/page/Spice-Gtk"
arch="all"
@@ -20,7 +20,7 @@ subpackages="$pkgname-dev $pkgname-doc $pkgname-lang $pkgname-tools
spice-glib:glib py-$pkgname:py"
source="http://www.spice-space.org/download/gtk/spice-gtk-$pkgver.tar.bz2
- usbredir.patch
+ 0001-build-fix-for-automake-1.13.patch
codegendir.patch"
_builddir="$srcdir"/spice-gtk-$pkgver
@@ -32,7 +32,8 @@ prepare() {
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
esac
done
- autoreconf
+ libtoolize --force && aclocal -I m4 && autoconf \
+ && automake --add-missing || return 1
}
build() {
@@ -80,6 +81,6 @@ py() {
mv "$pkgdir"/usr/lib/python* "$subpkgdir"/usr/lib/
}
-md5sums="c105e3b7f9c9eb293b0d6a8d35f6a5fd spice-gtk-0.14.tar.bz2
-2f674bfdc70df92df33c8b3ba5e9c0bc usbredir.patch
+md5sums="1b61697d643f1acc0e2950834dfa78f4 spice-gtk-0.16.tar.bz2
+72970a1cd51f4a42332e38981fd70ccb 0001-build-fix-for-automake-1.13.patch
e267f9505d0be143a308fb3b574fd153 codegendir.patch"
diff --git a/testing/spice-gtk/usbredir.patch b/testing/spice-gtk/usbredir.patch
deleted file mode 100644
index 3e926e233e..0000000000
--- a/testing/spice-gtk/usbredir.patch
+++ /dev/null
@@ -1,52 +0,0 @@
-From 6d1505386982aee3622afc1d25f1989965832a55 Mon Sep 17 00:00:00 2001
-From: Hans de Goede <hdegoede@redhat.com>
-Date: Tue, 25 Sep 2012 10:59:13 +0000
-Subject: Deal with libusbredirparser.pc rename to libusbredirparser-0.5.pc
-
-The usbredir 0.5 release introduced the new API for 64 bit packet ids, but
-it kept the libusbredirparser.pc name as is, meaning that older versions of
-qemu will still have their pkg-config check for usbredirparser fulfilled,
-and build with the usb-redir device. Due to the API change there will be
-some compiler warnings, but the build will succeed, however the usb-redir
-device will be broken on 32 bit machines.
-
-To solve this, the usbredir-0.5.2 release renames the libusbredirparser.pc
-file to libusbredirparser-0.5.pc, so that it will no longer fulfill the
-pkg-config check of the qemu-1.2 and older releases, stopping the (silent)
-breakage.
-
-spice-gtk does not use the changed parts of the API, but does
-use libusbredirparser for the usbredirfilter* functions. This patch adapts
-spice-gtk's configure to accept both the libusbredirparser-0.5 and the
-libusbredirparser pkg-config names.
-
-Signed-off-by: Hans de Goede <hdegoede@redhat.com>
----
-diff --git a/configure.ac b/configure.ac
-index c7367cc..7c59575 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -349,10 +349,17 @@ AC_ARG_ENABLE([usbredir],
- if test "x$enable_usbredir" = "xno"; then
- have_usbredir="no"
- else
-- PKG_CHECK_MODULES([USBREDIR],
-- [libusb-1.0 >= 1.0.9 libusbredirhost >= 0.4.2 libusbredirparser >= 0.4],
-- [have_usbredir=yes],
-- [have_usbredir=no])
-+ if ${PKG_CONFIG} libusbredirparser-0.5; then
-+ PKG_CHECK_MODULES([USBREDIR],
-+ [libusb-1.0 >= 1.0.9 libusbredirhost libusbredirparser-0.5],
-+ [have_usbredir=yes],
-+ [have_usbredir=no])
-+ else
-+ PKG_CHECK_MODULES([USBREDIR],
-+ [libusb-1.0 >= 1.0.9 libusbredirhost >= 0.4.2 libusbredirparser >= 0.4],
-+ [have_usbredir=yes],
-+ [have_usbredir=no])
-+ fi
- if test "x$have_usbredir" = "xno" && test "x$enable_usbredir" = "xyes"; then
- AC_MSG_ERROR([usbredir support explicitly requested, but some required packages are not available])
- fi
---
-cgit v0.9.0.2-2-gbebe